API v2 hosts JSON response, add *_name for each *_id

08/14/2013 09:22 AM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently

host": {

"name": "fdev2.sat.lab.tlv.redhat.com",

"id": 394,

"ip": "10.35.27.3",

"operatingsystem_id": 42,

"environment_id": 1,

Wanted

host": {

"name": "fdev2.sat.lab.tlv.redhat.com",

"id": 394,

"ip": "10.35.27.3",

"operatingsystem_id": 42,

"operatingsystem_name": "Centos 6.3",

"environment_id": 1,

"environment_name": "Production",

Related issues:

Related to Foreman - Feature #2945: Extend AR to add getter/setter methods *_... Closed 08/18/2013

Has duplicate Foreman - Bug #3098: _name for _id of associated resources are ... Duplicate 09/16/2013

Associated revisions

Revision 636e9830 - 11/27/2013 10:50 AM - Joseph Magen

fixes #2931 - API v2 hosts JSON response, add *_name for each *_id

History

#1 - 08/14/2013 09:39 AM - Tomáš Strachota

The same for *_ids -> *_names, please

#2 - 08/14/2013 12:56 PM - Joseph Magen

https://github.com/theforeman/foreman/pull/844

Default is *_name for all *_id fields.  I would like to make this flexible for performance reasons if a user just wants fields=id,name

#3 - 08/15/2013 02:04 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.3.0

#4 - 08/23/2013 10:27 AM - Dominic Cleal
https://github.com/theforeman/foreman/pull/844


- Status changed from Ready For Testing to Assigned

The PR's been closed, but I think this is still needed, right?

#5 - 08/23/2013 10:27 AM - Dominic Cleal

- Related to Feature #2945: Extend AR to add getter/setter methods *_names similar to *_ids added

#6 - 08/25/2013 12:59 PM - Joseph Magen

Yes, PR to provide this functionality is merged, but the JSON rabl views have not been updated, so keep this issue open.

#7 - 09/16/2013 11:49 AM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#8 - 10/16/2013 03:42 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#9 - 10/17/2013 12:15 PM - Joseph Magen

- Target version set to 1.15.0

#10 - 11/11/2013 10:24 AM - Joseph Magen

https://github.com/theforeman/foreman/pull/1011

#11 - 11/11/2013 10:25 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

#12 - 11/12/2013 12:04 PM - Dominic Cleal

- Target version changed from 1.15.0 to 1.10.0

#13 - 11/26/2013 04:24 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#14 - 11/27/2013 11:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 636e98303ff6166c1dfacbd675264bf1bb658124.

#15 - 11/28/2013 04:47 PM - Dominic Cleal

- Has duplicate Bug #3098: _name for _id of associated resources are missing in API (rabl) added
